%global momorel 2
%global artsver 1.5.9
%global artsrel 1m
%global qtver 3.3.7
%global kdever 3.5.9
%global kde4ver 4.1.0
%global kdelibsrel 11m
%global kdebaserel 14m
%global kdemultimediarel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gstreamer 0
%global enable_gcc_check_and_hidden_visibility 0

Summary: A Powerful Media Player For KDE
Name: amarok

### include local configuration
%{?include_specopt}

### default configurations
# If you'd like to change these configurations, please copy them to
# ${HOME}/rpm/specopt/amarok.specopt and edit it.

## Configuration
%{?!with_mysql:         %global with_mysql                 1}
%{?!with_postgresql:    %global with_postgresql            0}

Version: 1.4.10
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://amarok.kde.org/
Group: Applications/Multimedia
Source0: ftp://ftp.kde.org/pub/kde/stable/%{name}/%{version}/src/%{name}-%{version}.tar.bz2
NoSource: 0
Source1: %{name}rc
Source10: hi16-action-amarok_momonga.png
Source11: hi22-action-amarok_momonga.png
Source12: hi32-action-amarok_momonga.png
Source13: hi48-action-amarok_momonga.png
Source14: hi64-action-amarok_momonga.png
Patch0: %{name}-1.4.1-set-helix-paths.patch
Patch10: %{name}-1.4.7-momonga.patch
Patch11: %{name}-1.4.9.1-gcc43.patch
# [Security]
Patch100: %{name}-%{version}-rev908415.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# need kdebase3 for icons
Requires: kdebase3 >= %{kdever}-%{kdebaserel}
Requires: kdemultimedia >= %{kde4ver}-%{kdemultimediarel}
Requires: faac
Requires: k3b >= 0.11
Requires: libifp
Requires: libgpod
Requires: libmtp
Requires: libnjb
Requires: libtunepimp
Requires: libusb
Requires: moodbar
%if %{with_mysql}
Requires: mysql
%endif
%if %{with_postgresql}
Requires: postgresql
%endif
Requires: ruby
Requires: taglib >= 1.4
Requires: unzip
BuildPreReq: qt3-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs3-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: kdemultimedia >= %{kdever}-%{kdemultimediarel}
%ifnarch ia64 x86_64
BuildPreReq: HelixPlayer >= 1.0
%endif
BuildPreReq: SDL-devel >= 1.2.11-2m
BuildPreReq: autoconf
BuildPreReq: automake
%if %{enable_gstreamer}
BuildPreReq: gstreamer-devel
%endif
BuildPreReq: dbus-glib-devel
BuildPreReq: faac-devel
BuildPreReq: gettext
BuildPreReq: glib2-devel
BuildPreReq: libvisual-devel >= 0.4.0-3m
BuildPreReq: libifp-devel >= 1.0.0.2-3m
BuildPreReq: libgpod-devel >= 0.6.0
BuildpreReq: libmtp-devel >= 0.2.3
BuildPreReq: libnjb-devel >= 2.2.5-3m
BuildPreReq: libtool
BuildPreReq: libtunepimp-devel >= 0.5.3
BuildPreReq: libusb-devel
%if %{with_mysql}
BuildPreReq: mysql-devel
%endif
%if %{with_postgresql}
BuildPreReq: postgresql-devel
%endif
BuildPreReq: ruby
BuildPreReq: taglib-devel >= 1.4
BuildPreReq: xine-lib >= 1.1.4-3m
%if ! %{enable_gstreamer}
Obsoletes: %{name}-gstreamer < %{version}-%{release}
%endif
Obsoletes: %{name}-xmms

%description
Amarok is a media player for all kinds of media, supported by aRts or
GStreamer. This includes MP3, Ogg Vorbis, audio CDs and streams.
It also supports audio effects of all kinds that are provided by aRts.
Playlists can be stored in .m3u or .pls files.

%if %{enable_gstreamer}
%package gstreamer
Summary: GStreamer Output Plugin for Amarok
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}
Requires: gstreamer, gstreamer-plugins-good

%description gstreamer
Amarok media player can play via GStreamer using this plugin.
%endif

%ifnarch ia64 x86_64
%package helix
Summary: Helix/RealPlayer engine for Amarok
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}
Requires: HelixPlayer >= 1.0

%description helix
The Helix player engine enables Amarok to play medias via plugins which
may get provided by the Helix player or the RealPlayer from Real Media.
%endif

%package xine
Summary: Xine Output Plugin for Amarok
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}
Requires: xine-lib >= 1.0

%description xine
Amarok media player can play via Xine using this plugin.

%package yauap
Summary: Yauap Output Plugin for Amarok
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}
Requires: yauap

%description yauap
Amarok media player can play via external yauap cmdline player using
this plugin.

%package libvisual
Summary: Libvisual Visual Plugin Support for Amarok
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}
Requires: libvisual-plugins >= 0.4.0

%description libvisual
Libvisual visualization plugins can be used with amarok using this package.

%prep
%setup -q

%ifnarch ia64 x86_64
%patch0 -p1 -b .set_helix_paths
%endif

%patch10 -p1 -b .momonga
%patch11 -p1 -b .gcc43~

# security fix
%patch100 -p1 -b .rev908415

# install Momonga icons
install -m 644 %{SOURCE10} %{SOURCE11} %{SOURCE12} %{SOURCE13} %{SOURCE14} amarok/src/images/icons/

make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

%ifnarch ia64 x86_64
export HELIX_LIBS_DIR=%{_libdir}/helix
%endif

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--with-extra-includes=%{_includedir}/kde \
	--with-extra-libs=%{_libdir}/kde3 \
%ifnarch ia64 x86_64
	--with-helix \
%endif
%if %{enable_gstreamer}
	--with-gstreamer10 \
%endif
	--with-yauap \
	--with-libmtp \
	--with-libnjb \
	--with-ifp \
	--with-libgpod \
	--with-mp4v2 \
%if %{with_mysql}
	--enable-mysql \
%endif
%if %{with_postgresql}
	--enable-postgresql \
%endif
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# install amarokrc
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/config/

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/amarok.png %{buildroot}%{_datadir}/pixmaps/amarok.png

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%doc amarok/COPYING* amarok/HACKING amarok/VIS_PLAN
%doc amarok/src/engine/ENGINE_TODO
%{_bindir}/amarok
%{_bindir}/amarok_daapserver.rb
%{_bindir}/amarok_proxy.rb
%{_bindir}/amarokapp
%{_bindir}/amarokcollectionscanner
%{_libdir}/kde3/libamarok_daap-mediadevice.la
%{_libdir}/kde3/libamarok_daap-mediadevice.so
%{_libdir}/kde3/libamarok_generic-mediadevice.la
%{_libdir}/kde3/libamarok_generic-mediadevice.so
%{_libdir}/kde3/libamarok_ifp-mediadevice.la
%{_libdir}/kde3/libamarok_ifp-mediadevice.so
%{_libdir}/kde3/libamarok_ipod-mediadevice.la
%{_libdir}/kde3/libamarok_ipod-mediadevice.so
%{_libdir}/kde3/libamarok_massstorage-device.la
%{_libdir}/kde3/libamarok_massstorage-device.so
%{_libdir}/kde3/libamarok_mtp-mediadevice.la
%{_libdir}/kde3/libamarok_mtp-mediadevice.so
%{_libdir}/kde3/libamarok_nfs-device.la
%{_libdir}/kde3/libamarok_nfs-device.so
%{_libdir}/kde3/libamarok_smb-device.la
%{_libdir}/kde3/libamarok_smb-device.so
%{_libdir}/kde3/libamarok_njb-mediadevice.la
%{_libdir}/kde3/libamarok_njb-mediadevice.so
%{_libdir}/kde3/libamarok_void-engine_plugin.la
%{_libdir}/kde3/libamarok_void-engine_plugin.so
%{_libdir}/ruby_lib
%{_libdir}/*.la
%{_libdir}/*.so*
%{_datadir}/applications/kde/amarok.desktop
%{_datadir}/apps/amarok
%{_datadir}/apps/konqueror/servicemenus/amarok_addaspodcast.desktop
%{_datadir}/apps/konqueror/servicemenus/amarok_append.desktop
%{_datadir}/apps/konqueror/servicemenus/amarok_play_audiocd.desktop
%{_datadir}/apps/profiles/amarok.profile.xml
%{_datadir}/config/amarokrc
%{_datadir}/config.kcfg/amarok.kcfg
%{_datadir}/doc/HTML/*/amarok
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/pixmaps/amarok.png
%{_datadir}/services/amarok_daap-mediadevice.desktop
%{_datadir}/services/amarok_generic-mediadevice.desktop
%{_datadir}/services/amarok_ifp-mediadevice.desktop
%{_datadir}/services/amarok_ipod-mediadevice.desktop
%{_datadir}/services/amarok_massstorage-device.desktop
%{_datadir}/services/amarok_mtp-mediadevice.desktop
%{_datadir}/services/amarok_nfs-device.desktop
%{_datadir}/services/amarok_njb-mediadevice.desktop
%{_datadir}/services/amarok_smb-device.desktop
%{_datadir}/services/amarok_void-engine_plugin.desktop
%{_datadir}/services/amarokitpc.protocol
%{_datadir}/services/amaroklastfm.protocol
%{_datadir}/services/amarokpcast.protocol
%{_datadir}/servicetypes/amarok_codecinstall.desktop
%{_datadir}/servicetypes/amarok_plugin.desktop

%if %{enable_gstreamer}
%files gstreamer
%defattr(-, root, root)
%{_libdir}/kde3/libamarok_gst10engine_plugin.la
%{_libdir}/kde3/libamarok_gst10engine_plugin.so
%{_datadir}/config.kcfg/gstconfig.kcfg
%{_datadir}/services/amarok_gst10engine_plugin.desktop
%endif

%ifnarch ia64 x86_64
%files helix
%defattr(-, root, root)
%{_libdir}/kde3/libamarok_helixengine_plugin.la
%{_libdir}/kde3/libamarok_helixengine_plugin.so
%{_datadir}/config.kcfg/helixconfig.kcfg
%{_datadir}/services/amarok_helixengine_plugin.desktop
%endif

%files xine
%defattr(-, root, root)
%{_libdir}/kde3/libamarok_xine-engine.la
%{_libdir}/kde3/libamarok_xine-engine.so
%{_datadir}/config.kcfg/xinecfg.kcfg
%{_datadir}/services/amarok_xine-engine.desktop

%files yauap
%defattr(-, root, root)
%{_libdir}/kde3/libamarok_yauap-engine_plugin.la
%{_libdir}/kde3/libamarok_yauap-engine_plugin.so
%{_datadir}/services/amarok_yauap-engine_plugin.desktop

%files libvisual
%defattr(-, root, root)
%{_bindir}/amarok_libvisual

%changelog
* Sat Jan 17 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.10-2m)
- [SECURITY] SA33505 apply a backport patch from upstream
- Fix possible buffer overflows when parsing Audible .aa files.
- http://secunia.com/Advisories/33505/
- http://trapkit.de/advisories/TKADV2009-002.txt
- http://seclists.org/fulldisclosure/2009/Jan/0613.html

* Thu Aug 14 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.10-1m)
- [SECURITY] SA31418 version 1.4.10
- http://secunia.com/advisories/31418/

* Sun Jul 27 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.9.1-8m)
- change Requires: gst-plugins-good to gstreamer-plugins-good

* Fri Jun 20 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.9.1-7m)
- add Requires: kdebase3 for icons

* Mon Jun  2 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.9.1-6m)
- build doc/{de,pl} again

* Sun May 25 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.4.9.1-5m)
- update gcc43 patch

* Sun May 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.9.1-4m)
- revise %%{_docdir}/HTML/*/amarok/common

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4.9.1-3m)
- rebuild against qt3

* Mon Apr 28 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.9.1-2m)
- rebuild without kdebase3

* Fri Apr 25 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.9.1-1m)
- version 1.4.9.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0-0.20080204.4m)
- rebuild against gcc43

* Sun Feb 24 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0-0.20080204.3m)
- add -DHELIX_LIBRARY to %%build

* Sat Feb 23 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0-0.20080204.2m)
- add Obsoletes: amarokFS

* Thu Feb 21 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0-0.20080204.1m)
- update to 20080204 svn snapshot (rev.770653)

* Sat Feb 16 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.4.8-2m)
- add patch for gcc43, generated by gen43patch(v1)

- * Tue Jan 22 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- - (2.0-0.20080122.1m)
- - update to 20080122 svn snapshot for KDE4
- - include all translations
- - clean up patches

* Thu Dec 20 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.8-1m)
- version 1.4.8

* Wed Nov 14 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.7-4m)
- rebuild against libgpod-0.6.0

* Fri Oct 26 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.7-3m)
- rebuild against libmtp-0.2.3

* Tue Sep 18 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.7-2m)
- rebuild against libgpod-0.5.2 and libmtp-0.2.1

* Mon Aug 13 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.7-1m)
- version 1.4.7
- update momonga.patch

* Mon Jun 18 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.6-1m)
- version 1.4.6
- update momonga.patch
- remove merged upstream patch and security patch

* Wed Jun 13 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.5-10m)
- BuildPreReq: libusb-devel
- sort Requires and BPR

* Mon Jun 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.5-9m)
- add an invitation to join the Momonga Linux last.fm group

* Sat Jun  2 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.5-8m)
- fix kde Bug 146020:
  amarok last.fm this item is not available for streaming when using custom station

* Sat Mar 17 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.5-7m)
- clean up spec file

* Mon Feb 19 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.5-6m)
- remove modplug_artsplugin
- Requires: unzip

* Fri Feb 16 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.5-5m)
- [SECURITY] CVE-2006-6979 fix magnatune
  http://bugs.kde.org/show_bug.cgi?id=138499
  http://secunia.com/advisories/24159/

* Mon Feb 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.5-4m)
- rebuild against xine-lib SDL-devel kdelibs kdebase kdemultimedia

* Tue Feb  6 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4.5-3m)
- enable daap support (sorry...)

* Mon Feb  5 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.5-2m)
- update amarokrc (modify New Playlist Items Color)

* Mon Feb  5 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.5-1m)
- version 1.4.5
- disable daap support for the moment
- remove a package amarok-xmms, LibVisual supersedes this feature
- remove merged lastfm_works_with_xine_1.1.3.patch
- remove merged libgpod-0.4.2.patch
- remove libmtp-0.1-support.diff, libmtp-0.1.3 is working with this version
- remove merged amarok-yauap-engine.diff
- remove yauap-make.patch

* Sat Jan 27 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.4-9m)
- add a package amarok-yauap
- import amarok-yauap-engine.diff from opensuse
 +* Mon Jan 08 2007 - ssommer@suse.de
 +- update amarok-yauap-engine.diff to support audio cds
 +* Tue Dec 12 2006 - ssommer@suse.de
 +- added yauap engine from amarok svn
- add yauap-make.patch

* Sat Jan 27 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.4-8m)
- rebuild against libmtp-0.1.3
- import libmtp-0.1-support.diff from opensuse
 +* Fri Jan 12 2007 - dmueller@suse.de
 +- build against libmtp 0.1.x

* Fri Jan 26 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.4-7m)
- rebuild against libgpod-0.4.2
- import amarok-1.4.4-libgpod-0.4.2.patch from Fedora Extras
 +* Thu Jan 25 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.4.4-7
 +- add patch to enable building with libgpod >= 0.4.2, thanks go to Todd Zullinger

* Wed Jan 17 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.4-6m)
- rebuild against libvisual-0.4.0-3m

* Sun Jan 14 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.4-5m)
- rebuild against libmtp-0.1.0, libnjb-2.2.5-3m, libifp-1.0.0.2-3m and libtunepimp-0.5.3

* Thu Dec 14 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.4-4m)
- add amarok-1.4.4-lastfm_works_with_xine_1.1.3.patch
- enable playing Last.fm streams with xine-lib-1.1.3

* Tue Oct 31 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.4-3m)
- remove x86_64.patch

* Tue Oct 31 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.4-2m)
- add amarok-1.4.4-x86_64.patch
  http://mail.kde.org/pipermail/amarok/2006-October/001760.html

* Mon Oct 30 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.4-1m)
- version 1.4.4
- BuildPreReq: libgpod-devel >= 0.4.0
- BuildPreReq: libmtp-devel >= 0.0.21 

* Sat Sep 16 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.3-6m)
- remove desktop.patch

* Sun Sep 10 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.3-5m)
- rebuild against libgpod-0.3.2-3m and kdemultimedia-3.5.4-4m

* Sat Sep  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.3-4m)
- rebuild against arts-1.5.4-2m kdelibs-3.5.4-3m kdebase-3.5.4-11m
-- kdemultimedia-3.5.4-3m xine-lib-1.1.2-4m

* Wed Sep  5 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.3-3m)
- add BuildPreReq: dbus-glib-devel

* Tue Sep  5 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.3-2m)
- Requires: moodbar

* Tue Sep  5 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.3-1m)
- version 1.4.3

* Thu Aug 31 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.2-2m)
- update to BuildPreReq: libtunepimp-devel >= 0.4.1-4m

* Wed Aug 23 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.2-1m)
- version 1.4.2
- update libvisual020.patch

* Wed Aug 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.1-2m)
- rebuild against kdelibs-3.5.4-2m
- rebuild against kdebase-3.5.4-6m
- rebuild against kdemultimedia-3.5.4-2m

* Mon Jul  3 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.1-1m)
- version 1.4.1
- enable_gstreamer 0

* Fri Jun 23 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.1-0.1.5m)
- use "make -f admin/Makefile.common cvs"

* Fri Jun 23 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.1-0.1.4m)
- Requires: libtunepimp = 0.4.1
- BuildPreReq: libtunepimp-devel = 0.4.1

* Wed Jun 21 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.1-0.1.3m)
- amarok-libvisual Requires: libvisual-plugins = 0.2.0 for yum

* Tue Jun 20 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.1-0.1.2m)
- rebuild against libvisual-0.2.0
- add amarok-1.4.1-libvisual020.patch

* Mon Jun 19 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.1-0.1.1m)
- update to version 1.4.1-beta1
- enable_gstreamer 1
- update set-helix-paths.patch

* Sat Jun 17 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.0-5m)
- fix symlinks

* Sun May 21 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.0-4m)
- rebuild against libtunepimp-0.4.2

* Sat May 20 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.0-3m)
- version 1.4.0a

* Thu May 18 2006 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (1.4-0-2m)
- rebuild against mysql 5.0.22-1m

* Thu May 18 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.0-1m)
- version 1.4.0
- enable_gstreamer 0
 - GStreamer-0.10 engine was disabled for this release (not yet stable)

* Tue May  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.4-0.3.2m)
- disable helix support for x86_64

* Mon Apr 10 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4-0.3.1m)
- update to 1.4-beta3
- enable MP4/AAC Tag Write Support
- remove aKode-engine again

* Tue Apr  4 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4-0.2.3m)
- build with new GStreamer (revive amarok-gstreamer)

* Sat Mar 25 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4-0.2.2m)
- build with libakode (add aKode-engine again)

* Mon Mar  6 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4-0.2.1m)
- update to 1.4-beta2
- remove fix-parallel-build.patch
- The aRts and GStreamer-0.8 engines have been removed for being obsolete
  (wait for GStreamer-0.10)

* Wed Feb 15 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4-0.1.1m)
- update to version 1.4-beta1
- update set-helix-paths.patch
- add fix-parallel-build.patch
- modify specopt (enable to build with PostgreSQL support)
- BuildPreReq: exscalibar-devel, libifp-devel, libgpod-devel
- BuildPreReq: ruby

* Mon Feb 13 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.8-3m)
- use specopt (enable to build without MySQL support)
  http://pc8.2ch.net/test/read.cgi/linux/1092539027/599

* Sat Feb  4 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.8-2m)
- add --enable-new-ldflags to configure

* Mon Jan 16 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.8-1m)
- version 1.3.8
- update set-helix-paths.patch

* Fri Dec  9 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.7-1m)
- version 1.3.7

* Mon Dec  5 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.6-5m)
- modify and install amarokrc (set Colors and OSD)

* Sat Nov 26 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.6-4m)
- enable MySQL support
- BuildPreReq: mysql-devel
- Requires: MySQL

* Tue Nov 22 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.6-3m)
- rebuild with libtunepimp (enable MusicBrainz support)

* Mon Nov 14 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.6-2m)
- rebuild against KDE 3.5 RC1

* Tue Nov  8 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.6-1m)
- version 1.3.6

* Sat Oct 29 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.5-2m)
- fix amarok.desktop

* Tue Oct 25 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.5-1m)
- version 1.3.5

* Mon Oct 24 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.4-1m)
- version 1.3.4
- update desktopfile.patch
- add set-helix-paths.patch
- remove helix-paths.patch

* Wed Oct 19 2005 Toru Hoshina <t@momonga-linux.org>
- (1.3.3-2m)
- enable ia64.

* Mon Oct 10 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.3-1m)
- version 1.3.3
- update desktopfile.patch

* Wed Sep 21 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.2-1m)
- version 1.3.2

* Thu Sep 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.1-2m)
- add --disable-rpath to configure

* Mon Sep  5 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.1-1m)
- version 1.3.1

* Mon Aug 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3-1m)
- version 1.3
- add a package amarok-helix

* Mon Aug  1 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3-0.3.1m)
- update to 1.3-beta3
- remove aKode-engine from %%files
- remove nokdelibsuff.patch

* Mon Jun 27 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3-0.2.1m)
- update to 1.3-beta2

* Sat Jun 18 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3-0.1.1m)
- update to version 1.3-beta1
- BuildPreReq: kdebase

* Sat May 21 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.4-1m)
- version 1.2.4

* Fri May 20 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.4-0.1.1m)
- update to version 1.2.4 RC1

* Wed May  4 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.3-3m)
- update amarok-1.2.3-nokdelibsuff.patch
  (do not touch admin/acinclude.m4.in)
- add modplug_artsplugin-0.5-nokdelibsuff.patch

* Wed Mar 30 2005 Toru Hoshina <t@momonga-linux.org>
- (1.2.3-2m)
- kdelibsuff doesn't need to be applied with {_libdir}/qt3/lib.

* Tue Mar 29 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.3-1m)
- version 1.2.3
- add aKode-engine
- remove amarok-1.2.2-fix-kde-bug-101524.patch

* Wed Mar 16 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.2-2m)
- amarok-libvisual Requires: libvisual -> libvisual-plugins

* Wed Mar 16 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.2-1m)
- version 1.2.2
- import amarok-1.2.2-fix-kde-bug-101524.patch from KDE CVS
  see KDE BTS #101524

* Mon Feb 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.1-1m)
- version 1.2.1

* Sat Feb 26 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (1.2-2m)
- rebuild against SDL

* Mon Feb 14 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2-1m)
- version 1.2

* Sat Feb 12 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (1.2-0.4.3m)
- rebuild against gst-plugins xine-lib

* Sat Feb 12 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2-0.4.2m)
- add a package amarok-libvisual

* Mon Jan 31 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2-0.4.1m)
- update to 1.2-beta4

* Sun Jan  9 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2-0.3.1m)
- update to 1.2-beta3

* Fri Dec 10 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2-0.2.1m)
- update to 1.2-beta2

* Sun Nov 28 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2-0.1.1m)
- update to version 1.2-beta1

* Sat Oct  9 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.1-1m)
- version 1.1.1
- remove amarok-1.1-docpath.patch

* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.1-2m)
- rebuild against kdelibs-3.3.0-3m (libstdc++-3.4.1)

* Mon Sep 27 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1-1m)
- version 1.1
- Requires: k3b >= 0.11
- add amarok-1.1-docpath.patch

* Mon Sep 27 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1-0.2.2m)
- rebuild against KDE 3.3.0

* Mon Sep 13 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1-0.2.1m)
- update to version 1.1-beta2

* Sun Aug 22 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.2-6m)
- modify amarok.desktop for GNOME
- add %%{_datadir}/pixmaps/amarok.png for GNOME

* Fri Aug 20 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.2-5m)
- Requires: gst-plugins -> gst-plugins-additional

* Fri Aug 13 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.2-4m)
- add a package amarok-xine

* Sun Aug  8 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.2-3m)
- change md5sum %%NoSource 0

* Thu Aug  5 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.2-2m)
- change make install-strip to install

* Thu Aug  5 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0.2-1m)
- version 1.0.2

* Thu Jul  1 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.1-1m)
- version 1.0.1

* Sat Jun 26 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-2m)
- use make install-strip

* Fri Jun 25 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-1m)
- 1st release
- %%description and package style are imported from SUSE LINUX 9.1

* Thu Jun 17 2004 - adrian@suse.de
- update to version 1.0 final
* Wed Jun 02 2004 - adrian@suse.de
- add modplug_artsplugin version 0.5
* Tue Jun 01 2004 - adrian@suse.de
- update to version 1.0 beta 4
- update translations
* Tue May 11 2004 - adrian@suse.de
- add translations
* Mon May 10 2004 - adrian@suse.de
- add missing %%defattr
* Mon May 10 2004 - adrian@suse.de
- update to version 1.0 beta 3
- add gstreamer support in subpackage
* Fri Apr 23 2004 - adrian@suse.de
- update to version 1.0 beta 2
- use external (fixed) sqlite for 9.1 and newer
* Sat Apr 17 2004 - coolo@suse.de
- return in non-void functions
* Tue Apr 13 2004 - adrian@suse.de
- update to version 1.0 beta 1
- new sub package for xmms visual plugins support
* Sun Mar 07 2004 - adrian@suse.de
- update to version 0.9 final
* Sun Feb 29 2004 - adrian@suse.de
- update to beta3
* Mon Feb 23 2004 - adrian@suse.de
- move menu entry to Audio Players
* Sat Feb 21 2004 - adrian@suse.de
- neededforbuild fix kdemultimedia3-video -> -sound
- disable GStreamer support again (direct crash when using it)
* Sat Feb 21 2004 - adrian@suse.de
- update to beta 2
- enable GStreamer support
* Sun Feb 15 2004 - adrian@suse.de
- initial package of version 0.9 beta 1
